SmartGit 18.2 does not start on (some) Linux systems

If SmartGit 18.2 does not start on your Linux while SmartGit 18.1 worked fine, the reason might be that 18.1 used GTK2 and 18.2 uses GTK3. Use following instructions to let SmartGit 18.2 use GTK2, too:

  1. if the directory ~/.local/share/smartgit exists, please delete it
  2. copy lib/org.eclipse.swt.gtk.linux.x86_64.jar from the SmartGit 18.1 installation to 18.2
  3. in bin/smartgit.sh remove the leading # from the line
    #export SWT_GTK3=0
  4. configure SmartGit to update the installation for new builds (Preferences, page SmartGit Updates, option Update SmartGit application in-place)
  5. ensure, that the installation is up-to-date (About dialog, page Information, click the button right beside the Version input field if enabled)

The tasks 2 and 3 you will need to do after each SmartGit update.

Author: Thomas

Thomas is one of the two CEOs of syntevo. He is a passionated Java developer and likes to design clean and consistent user interfaces.